import request from '@/utils/request'

// 查询位置列表
export function listPosition(query) {
  return request({
    url: '/system/position/list',
    method: 'get',
    params: query
  })
}

// 查询位置详细
export function getPosition(id) {
  return request({
    url: '/system/position/' + id,
    method: 'get'
  })
}

// 新增位置
export function addPosition(data) {
  return request({
    url: '/system/position',
    method: 'post',
    data: data
  })
}

// 修改位置
export function updatePosition(data) {
  return request({
    url: '/system/position',
    method: 'put',
    data: data
  })
}

// 删除位置
export function delPosition(id) {
  return request({
    url: '/system/position/' + id,
    method: 'delete'
  })
}
//查询位置列表树形结构
export function treePosition() {
  return request({
    url: '/system/position/listTree',
    method: 'get'
  })
}
